KDE 4.5 PyKDE API Reference

- KDE's Python API

# ViewportParams Class Reference

`from PyKDE4.marble import *`

Namespace: Marble.ViewportParams

## Detailed Description

A public class that controls what is visible in the viewport of a Marble map.

## Methods

| __init__ (self)
| __init__ (self, Marble.ViewportParams a0)
QRegion | activeRegion (self)
float | angularResolution (self)
| centerCoordinates (self, float centerLon, float centerLat)
Marble.GeoDataCoordinates | focusPoint (self)
bool | focusPointIsCenter (self)
bool | globeCoversViewport (self)
int | height (self)
bool | mapCoversViewport (self)
Marble.Quaternion | planetAxis (self)
int | polarity (self)
Marble.Projection | projection (self)
int | radius (self)
| resetFocusPoint (self)
bool | resolves (self, Marble.GeoDataLatLonBox latLonBox)
bool | resolves (self, Marble.GeoDataCoordinates coord1, Marble.GeoDataCoordinates coord2)
bool | resolves (self, Marble.GeoDataLatLonAltBox latLonAltBox)
| setFocusPoint (self, Marble.GeoDataCoordinates focusPoint)
| setHeight (self, int newHeight)
bool | setPlanetAxis (self, Marble.Quaternion newAxis)
| setProjection (self, Marble.Projection newProjection)
| setRadius (self, int newRadius)
| setSize (self, QSize newSize)
| setWidth (self, int newWidth)
QSize | size (self)
Marble.GeoDataLatLonAltBox | viewLatLonAltBox (self)
int | width (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | Marble.ViewportParams | a0
| ) |  |  |

QRegion activeRegion | ( |  | self ) |

float angularResolution | ( |  | self ) |

centerCoordinates | ( | self, |
|  | float | centerLon,
|  | float | centerLat
| ) |  |  |

Marble.GeoDataCoordinates focusPoint | ( |  | self ) |

Returns:
  The current point of focus, e.g. the point that is not moved when changing the zoom level. If not set, it defaults to the center point.

See also:
  centerCoordinates setFocusPoint resetFocusPoint focusPointIsCenter

bool focusPointIsCenter | ( |  | self ) |

Determine whether the focus point is different from the center point

Returns:
  False iff an explicit focus point was set with setFocusPoint and resetFocusPoint has not been called afterwards

See also:
  focusPoint setFocusPoint resetFocusPoint

bool globeCoversViewport | ( |  | self ) |

int height | ( |  | self ) |

bool mapCoversViewport | ( |  | self ) |

Marble.Quaternion planetAxis | ( |  | self ) |

int polarity | ( |  | self ) |

Marble.Projection projection | ( |  | self ) |

int radius | ( |  | self ) |

resetFocusPoint | ( |  | self ) |

Invalidate any focus point set with setFocusPoint.

See also:
  focusPoint setFocusPoint focusPointIsCenter

bool resolves | ( | self, |
|  | Marble.GeoDataLatLonBox | latLonBox
| ) |  |  |

bool resolves | ( | self, |
|  | Marble.GeoDataCoordinates | coord1,
|  | Marble.GeoDataCoordinates | coord2
| ) |  |  |

bool resolves | ( | self, |
|  | Marble.GeoDataLatLonAltBox | latLonAltBox
| ) |  |  |

setFocusPoint | ( | self, |
|  | Marble.GeoDataCoordinates | focusPoint
| ) |  |  |

Change the point of focus, overridding any previously set focus point.

Parameters:

  | focusPoint | New focus point

See also:
  focusPoint resetFocusPoint focusPointIsCenter

setHeight | ( | self, |
|  | int | newHeight
| ) |  |  |

bool setPlanetAxis | ( | self, |
|  | Marble.Quaternion | newAxis
| ) |  |  |

setProjection | ( | self, |
|  | Marble.Projection | newProjection
| ) |  |  |

setRadius | ( | self, |
|  | int | newRadius
| ) |  |  |

setSize | ( | self, |
|  | QSize | newSize
| ) |  |  |

setWidth | ( | self, |
|  | int | newWidth
| ) |  |  |

QSize size | ( |  | self ) |

Marble.GeoDataLatLonAltBox viewLatLonAltBox | ( |  | self ) |

int width | ( |  | self ) |